{ pkgs, haskellLib }:

with haskellLib;

final: prev: {

  cheapskate = null;

  hasql-explain-tests = null;

  sandwich = null;

  text-icu = prev.callPackage ../pkgs/text-icu.nix { icu-i18n = pkgs.icu; };

  X11-xft = addPkgconfigDepends prev.X11-xft [ pkgs.expat pkgs.xorg.libXau pkgs.xorg.libXdmcp ];

}
