{ mkDerivation, HUnit, base, base16-bytestring, bytestring
, directory, lib, temporary, text
}:
mkDerivation {
  pname = "direct-sqlite";
  version = "2.3.29";
  sha256 = "5f2ace38a7a926363fe72b1ad882764d68333bba88709c0f8f036d26c9b4d0af";
  isLibrary = true;
  isExecutable = false;
  enableSeparateDataOutput = false;
  libraryHaskellDepends = [ base bytestring text ];
  testHaskellDepends = [
    base base16-bytestring bytestring directory HUnit temporary text
  ];
  enableLibraryProfiling = true;
  enableExecutableProfiling = true;
  doHaddock = true;
  jailbreak = true;
  doCheck = false;
  doBenchmark = false;
  hyperlinkSource = false;
  homepage = "https://github.com/IreneKnapp/direct-sqlite";
  description = "Low-level binding to SQLite3. Includes UTF8 and BLOB support.";
  license = lib.licenses.bsd3;
  broken = false;
}