{ mkDerivation, base, bytestring, fetchgit, genvalidity-sydtest
, ical, ical-gen, lib, path, path-io, process, sydtest
, sydtest-discover, text, timeout
}:
mkDerivation {
  pname = "ical-interop-test";
  version = "0.0.0.0";
  src = fetchgit {
    url = "https://github.com/NorfairKing/ical";
    sha256 = "1qk9xlvdk1p21s69j12bfvpywyps16ldyciscgpa6lc40904qbkq";
    rev = "50e5ecbc6fef984ed7be4281ee21491750eff8a3";
    fetchSubmodules = true;
  };
  postUnpack = "sourceRoot+=/ical-interop-test/; echo source root reset to $sourceRoot";
  isLibrary = true;
  isExecutable = false;
  enableSeparateDataOutput = false;
  libraryHaskellDepends = [ base ];
  testHaskellDepends = [
    base bytestring genvalidity-sydtest ical ical-gen path path-io
    process sydtest text timeout
  ];
  testToolDepends = [ sydtest-discover ];
  enableLibraryProfiling = true;
  enableExecutableProfiling = true;
  doHaddock = false;
  jailbreak = true;
  doCheck = false;
  doBenchmark = false;
  hyperlinkSource = false;
  license = "unknown";
  broken = false;
}