{ mkDerivation, base, conformance, containers, fetchgit, ical, lib
, mtl, time, validity
}:
mkDerivation {
  pname = "ical-recurrence";
  version = "0.0.0.0";
  src = fetchgit {
    url = "https://github.com/NorfairKing/ical";
    sha256 = "1qk9xlvdk1p21s69j12bfvpywyps16ldyciscgpa6lc40904qbkq";
    rev = "50e5ecbc6fef984ed7be4281ee21491750eff8a3";
    fetchSubmodules = true;
  };
  postUnpack = "sourceRoot+=/ical-recurrence/; echo source root reset to $sourceRoot";
  isLibrary = true;
  isExecutable = false;
  enableSeparateDataOutput = false;
  libraryHaskellDepends = [
    base conformance containers ical mtl time validity
  ];
  enableLibraryProfiling = true;
  enableExecutableProfiling = true;
  doHaddock = true;
  jailbreak = true;
  doCheck = false;
  doBenchmark = false;
  hyperlinkSource = false;
  license = "unknown";
  broken = false;
}