{ mkDerivation, base, base64, bytestring, case-insensitive
, conformance, containers, deepseq, dlist, fetchgit, lib
, megaparsec, network-uri, text, time, time-compat, validity
, validity-bytestring, validity-case-insensitive
, validity-containers, validity-network-uri, validity-text
, validity-time
}:
mkDerivation {
  pname = "ical";
  version = "0.0.0.0";
  src = fetchgit {
    url = "https://github.com/NorfairKing/ical";
    sha256 = "1qk9xlvdk1p21s69j12bfvpywyps16ldyciscgpa6lc40904qbkq";
    rev = "50e5ecbc6fef984ed7be4281ee21491750eff8a3";
    fetchSubmodules = true;
  };
  postUnpack = "sourceRoot+=/ical/; echo source root reset to $sourceRoot";
  isLibrary = true;
  isExecutable = false;
  enableSeparateDataOutput = false;
  libraryHaskellDepends = [
    base base64 bytestring case-insensitive conformance containers
    deepseq dlist megaparsec network-uri text time time-compat validity
    validity-bytestring validity-case-insensitive validity-containers
    validity-network-uri validity-text validity-time
  ];
  enableLibraryProfiling = true;
  enableExecutableProfiling = true;
  doHaddock = true;
  jailbreak = true;
  doCheck = false;
  doBenchmark = false;
  hyperlinkSource = false;
  license = "unknown";
  broken = false;
}