{ mkDerivation, QuickCheck, aeson, base, bytestring, deepseq
, exceptions, hashable, lib, mtl, template-haskell, text
, these-skinny
}:
mkDerivation {
  pname = "refined";
  version = "0.8.2";
  sha256 = "d55cf82c30c80e41c273f49328ddb146aed669e16e8fc314066afae404bcdcc5";
  isLibrary = true;
  isExecutable = false;
  enableSeparateDataOutput = false;
  libraryHaskellDepends = [
    aeson base bytestring deepseq exceptions hashable mtl QuickCheck
    template-haskell text these-skinny
  ];
  testHaskellDepends = [ base QuickCheck ];
  enableLibraryProfiling = true;
  enableExecutableProfiling = true;
  doHaddock = true;
  jailbreak = true;
  doCheck = false;
  doBenchmark = false;
  hyperlinkSource = false;
  homepage = "https://github.com/nikita-volkov/refined";
  description = "Refinement types with static and runtime checking";
  license = lib.licenses.mit;
  broken = false;
}