{ mkDerivation, Cabal-syntax, base, directory, filepath, lib }:
mkDerivation {
  pname = "autoexporter";
  version = "2.0.0.12";
  sha256 = "ca82f0b40899fcee465aa053b5b36da0cffcaa2103fecfc4c385aff6e6dd96c6";
  isLibrary = true;
  isExecutable = true;
  enableSeparateDataOutput = false;
  libraryHaskellDepends = [ base Cabal-syntax directory filepath ];
  executableHaskellDepends = [ base ];
  enableLibraryProfiling = true;
  enableExecutableProfiling = true;
  doHaddock = true;
  jailbreak = true;
  doCheck = false;
  doBenchmark = false;
  hyperlinkSource = false;
  description = "Automatically re-export modules";
  license = lib.licenses.mit;
  broken = false;
}