{ mkDerivation, Glob, base, doctest, lib }:
mkDerivation {
  pname = "co-log-core";
  version = "0.3.2.2";
  sha256 = "f7b261916add60f651abc6f170402a6e75042ee4488f94a40ad88a971a71cdc7";
  isLibrary = true;
  isExecutable = false;
  enableSeparateDataOutput = false;
  libraryHaskellDepends = [ base ];
  testHaskellDepends = [ base doctest Glob ];
  enableLibraryProfiling = true;
  enableExecutableProfiling = true;
  doHaddock = true;
  jailbreak = true;
  doCheck = false;
  doBenchmark = false;
  hyperlinkSource = false;
  homepage = "https://github.com/co-log/co-log-core";
  description = "Composable Contravariant Comonadic Logging Library";
  license = lib.licenses.mpl20;
  broken = false;
}