{ mkDerivation, QuickCheck, base, bytestring, case-insensitive
, conformance, conformance-gen, containers, criterion, dlist
, fetchgit, genvalidity, genvalidity-bytestring
, genvalidity-case-insensitive, genvalidity-containers
, genvalidity-criterion, genvalidity-network-uri
, genvalidity-sydtest, genvalidity-text, genvalidity-time
, genvalidity-vector, ical, lib, megaparsec, network-uri, path
, path-io, safe-coloured-text, safe-coloured-text-terminfo, sydtest
, sydtest-discover, text, time, vector
}:
mkDerivation {
  pname = "ical-gen";
  version = "0.0.0.0";
  src = fetchgit {
    url = "https://github.com/NorfairKing/ical";
    sha256 = "1qk9xlvdk1p21s69j12bfvpywyps16ldyciscgpa6lc40904qbkq";
    rev = "50e5ecbc6fef984ed7be4281ee21491750eff8a3";
    fetchSubmodules = true;
  };
  postUnpack = "sourceRoot+=/ical-gen/; echo source root reset to $sourceRoot";
  isLibrary = true;
  isExecutable = true;
  enableSeparateDataOutput = false;
  libraryHaskellDepends = [
    base bytestring case-insensitive conformance conformance-gen
    containers dlist genvalidity genvalidity-bytestring
    genvalidity-case-insensitive genvalidity-containers
    genvalidity-network-uri genvalidity-sydtest genvalidity-text
    genvalidity-time ical QuickCheck sydtest text time
  ];
  executableHaskellDepends = [
    base containers path path-io safe-coloured-text
    safe-coloured-text-terminfo text vector
  ];
  testHaskellDepends = [
    base bytestring conformance conformance-gen containers dlist
    genvalidity-sydtest genvalidity-text ical megaparsec network-uri
    path QuickCheck sydtest text time
  ];
  testToolDepends = [ sydtest-discover ];
  benchmarkHaskellDepends = [
    base criterion genvalidity-criterion genvalidity-vector ical
  ];
  enableLibraryProfiling = true;
  enableExecutableProfiling = true;
  doHaddock = true;
  jailbreak = true;
  doCheck = false;
  doBenchmark = false;
  hyperlinkSource = false;
  license = "unknown";
  broken = false;
}