{ mkDerivation, QuickCheck, base, bytestring, conformance
, conformance-gen, containers, fetchgit, genvalidity
, genvalidity-containers, genvalidity-sydtest, genvalidity-time
, ical, ical-gen, ical-recurrence, lib, path, path-io, sydtest
, sydtest-discover, text, time
}:
mkDerivation {
  pname = "ical-recurrence-gen";
  version = "0.0.0.0";
  src = fetchgit {
    url = "https://github.com/NorfairKing/ical";
    sha256 = "1qk9xlvdk1p21s69j12bfvpywyps16ldyciscgpa6lc40904qbkq";
    rev = "50e5ecbc6fef984ed7be4281ee21491750eff8a3";
    fetchSubmodules = true;
  };
  postUnpack = "sourceRoot+=/ical-recurrence-gen/; echo source root reset to $sourceRoot";
  isLibrary = true;
  isExecutable = false;
  enableSeparateDataOutput = false;
  libraryHaskellDepends = [
    base conformance-gen genvalidity genvalidity-containers ical-gen
    ical-recurrence
  ];
  testHaskellDepends = [
    base bytestring conformance conformance-gen containers
    genvalidity-sydtest genvalidity-time ical ical-gen ical-recurrence
    path path-io QuickCheck sydtest text time
  ];
  testToolDepends = [ sydtest-discover ];
  enableLibraryProfiling = true;
  enableExecutableProfiling = true;
  doHaddock = true;
  jailbreak = true;
  doCheck = false;
  doBenchmark = false;
  hyperlinkSource = false;
  license = "unknown";
  broken = false;
}