{ mkDerivation, base, lib }:
mkDerivation {
  pname = "torsor";
  version = "0.1.0.1";
  sha256 = "a901845703fe42d0d852ccefb1b7b9210623289203dccd875e0ea70036ed4c52";
  isLibrary = true;
  isExecutable = false;
  enableSeparateDataOutput = false;
  libraryHaskellDepends = [ base ];
  enableLibraryProfiling = true;
  enableExecutableProfiling = true;
  doHaddock = true;
  jailbreak = true;
  doCheck = false;
  doBenchmark = false;
  hyperlinkSource = false;
  homepage = "https://github.com/byteverse/torsor";
  description = "Torsor Typeclass";
  license = lib.licenses.bsd3;
  broken = false;
}